PHP ��U
前一頁 |  | 下一頁

# HttpResponse

(no version information, might be only in CVS)

HttpResponse -- HTTP Response Class

## 大綱

    static class HttpResponse

## Class Members

### Properties

表格 1. Static Properties

Modifiers | Type | Name | Description
--- | --- | --- | ---
private | boolean | sent |
private | boolean | catch |
private | integer | mode |
private | resource | stream |
private | string | file |
private | string | data |
protected | boolean | cache |
protected | boolean | gzip |
protected | string | eTag |
protected | integer | lastModified |
protected | string | cacheControl |
protected | string | contentType |
protected | string | contentDisposition |
protected | integer | bufferSize |
protected | double | throttleDelay |

### �w��w�q�`��

表格 2.

Type | Name | Description
--- | --- | ---
integer | REDIRECT |
integer | REDIRECT_PERM |
integer | REDIRECT_FOUND |
integer | REDIRECT_POST |
integer | REDIRECT_PROXY |
integer | REDIRECT_TEMP |

### Methods

HttpResponse::getBufferSize()
HttpResponse::setBufferSize()
HttpResponse::getCacheControl()
HttpResponse::setCacheControl()
HttpResponse::getCache()
HttpResponse::setCache()
HttpResponse::getContentDisposition()
HttpResponse::setContentDisposition()
HttpResponse::getContentType()
HttpResponse::setContentType()
HttpResponse::getData()
HttpResponse::setData()
HttpResponse::getETag()
HttpResponse::setETag()
HttpResponse::getFile()
HttpResponse::setFile()
HttpResponse::getGzip()
HttpResponse::setGzip()
HttpResponse::getHeader()
HttpResponse::setHeader()
HttpResponse::getLastModified()
HttpResponse::setLastModified()
HttpResponse::getStream()
HttpResponse::setStream()
HttpResponse::getThrottleDelay()
HttpResponse::setThrottleDelay()
HttpResponse::capture()
HttpResponse::send()
HttpResponse::guessContentType()

前一頁 | 內容 | 下一頁
HttpRequestPool::socketSelect | 上一層 | HttpResponse::capture